Module javafx.graphics
Package javafx.scene.input

## Enum ScrollEvent.HorizontalTextScrollUnits

- java.lang.Object
- - java.lang.Enum<ScrollEvent.HorizontalTextScrollUnits>
  - - javafx.scene.input.ScrollEvent.HorizontalTextScrollUnits

- All Implemented Interfaces:
    `Serializable`, `Comparable<ScrollEvent.HorizontalTextScrollUnits>`
  Enclosing class:
    ScrollEvent

      public static enum ScrollEvent.HorizontalTextScrollUnits
      extends Enum<ScrollEvent.HorizontalTextScrollUnits>

  Horizontal text-based scrolling units.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHARACTERS` | The horizontal text-based scrolling amount is a number of characters to scroll.
    `NONE` | The horizontal text-based scrolling data is not available (not provided by the underlying platform).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScrollEvent.HorizontalTextScrollUnits` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ScrollEvent.HorizontalTextScrollUnits[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ScrollEvent.HorizontalTextScrollUnits NONE

      The horizontal text-based scrolling data is not available (not provided by the underlying platform).

    - #### CHARACTERS

          public static final ScrollEvent.HorizontalTextScrollUnits CHARACTERS

      The horizontal text-based scrolling amount is a number of characters to scroll.

  - ### Method Detail

    - #### values

          public static ScrollEvent.HorizontalTextScrollUnits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScrollEvent.HorizontalTextScrollUnits c : ScrollEvent.HorizontalTextScrollUnits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScrollEvent.HorizontalTextScrollUnits valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null